## org.apache.mahout.clustering.dirichlet
Class DirichletClusterMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>
          org.apache.mahout.clustering.dirichlet.DirichletClusterMapper

    public class DirichletClusterMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`DirichletClusterMapper()`

Method Summary
`static java.util.List<DirichletCluster>` `getClusters(org.apache.hadoop.conf.Configuration conf)`
`protected static java.util.List<DirichletCluster>` `loadClusters(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path stateIn)`
`protected void` `map(org.apache.hadoop.io.WritableComparable<?> key, VectorWritable vector, org.apache.hadoop.mapreduce.Mapper.Context context)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirichletClusterMapper

    public DirichletClusterMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.WritableComparable<?> key,
                       VectorWritable vector,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws java.io.IOException,
                         java.lang.InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.IntWritable,WeightedVectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### getClusters

    public static java.util.List<DirichletCluster> getClusters(org.apache.hadoop.conf.Configuration conf)

### loadClusters

    protected static java.util.List<DirichletCluster> loadClusters(org.apache.hadoop.conf.Configuration conf,
                                                                   org.apache.hadoop.fs.Path stateIn)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.